/****************************************************************************
 * NCSA H4toH5 Conversion Library and related utilites                      *
 * National Center for Supercomputing Applications                          *
 * University of Illinois at Urbana-Champaign                               *
 * 605 E. Springfield, Champaign IL 61820                                   *
 * http://hdf.ncsa.uiuc.edu/                                                *
 *                                                                          *
 * Copyright by the Board of Trustees of the University of Illinois.        * 
 * All rights reserved.                                                     *
 *                                                                          *
 * This file is part of the H4toH5 Conversion Library and related utilites. *
 * The full copyright notice, including terms governing use, modification,  *
 * and redistribution, is contained in the files COPYING and Copyright.html.*
 * COPYING can be found at the root of the source code distribution tree,   *
 * i.e., in h4h5tools/COPYING.  Copyright.html can be found at the root     *
 * level of an installed copy of the electronic document set and is linked  *
 * from the "H4toH5 Conversion Library User's Guide" and the "H4toH5        *
 * Conversion Library Reference Manual."  It can also be found at           *
 * http://hdf.ncsa.uiuc.edu/h4toh5/Copyright.html.  If you do not have      *
 * access to either file, you may request a copy from hdfhelp@ncsa.uiuc.edu.*
 ****************************************************************************/

/*
	H5api_adpt.h
	Used for the HDF5 dll project
	Created by Patrick Lu on 1/12/99
*/
#ifndef H4toH5API_ADPT_H
#define H4toH5API_ADPT_H

#if defined(WIN32)
#if defined(_H4TOH5DLL_)
#pragma warning(disable: 4273)	/* Disable the dll linkage warnings */
#define __DLL425__ __declspec(dllexport)
/*#define __DLLVARH425__ __declspec(dllexport)*/
#elif defined(_H4TOH5USEDLL_)
#define __DLL425__ __declspec(dllimport)
/*#define __DLLVARH425__ __declspec(dllimport)*/
#else
#define __DLL425__
/*#define __DLLVARH425__ extern*/
#endif /* _H4TOH5DLL_ */

#else /*WIN32*/
#define __DLL425__
/*#define __DLLVAR__ extern*/
#endif

#endif /* H5API_ADPT_H */
